## xsunpinyin 2.0.2

=== wrapper/xim/SConstruct ===
import os

sources = ['ic.c',
           'ic_gtk.c',
           'main.c',
           'settings.c',
           'sunpinyin_preedit.cc',
           'xim.c',
           'xim_trigger.c',
           'xmisc.c']

preferences_sources = ['preferences.c',
                       'settings.c',
                       'xmisc.c']

imdkit_sources = ['IMdkit/FrameMgr.c',
                  'IMdkit/i18nAttr.c',
                  'IMdkit/i18nClbk.c',
                  'IMdkit/i18nIc.c',
                  'IMdkit/i18nIMProto.c',
                  'IMdkit/i18nMethod.c',
                  'IMdkit/i18nPtHdr.c',
                  'IMdkit/i18nUtil.c',
                  'IMdkit/i18nX.c',
                  'IMdkit/IMConn.c',
                  'IMdkit/IMMethod.c',
                  'IMdkit/IMValues.c']


prefix='/usr/local'
cflags='-g'
rpath=''

AddOption('--prefix', dest='prefix', type='string', nargs=1, action='store',
          metavar='DIR', help='installation prefix')
AddOption('--rpath', dest='rpath', type='string', nargs=1, action='store',
          metavar='DIR', help='encode rpath in the executables')

if GetOption('prefix') is not None:
    prefix = GetOption('prefix')
if GetOption('rpath') is not None:
    rpath = GetOption('rpath')

bin_dir = prefix + '/bin'
data_dir = '%s/share/xsunpinyin/' % prefix
icon_dir = data_dir + 'icons/'

cflags += ' -DSUNPINYIN_XIM_ICON_DIR=\\"%s\\"' % icon_dir
cflags += ' -DSUNPINYIN_XIM_SETTING_DIR=\\"%s\\"' % data_dir

env = Environment(ENV=os.environ,
                  CFLAGS=cflags, CXXFLAGS=cflags, 
                  LINKFLAGS=['-export-dynamic'],
                  CPPPATH=['.', 'IMdkit'], PREFIX=prefix)

if rpath != '':
    env.Append(LINKFLAGS='-Wl,-R -Wl,%s' % rpath)

if 'CC' in os.environ:
    print 'Warning: you\'ve set %s as C compiler' % os.environ['CC']
    env['CC']=os.environ['CC']
    
if 'CXX' in os.environ:
    print 'Warning: you\'ve set %s as C++ compiler' % os.environ['CXX']
    env['CXX']=os.environ['CXX']

#
#==============================configure================================
#
def CheckPKGConfig(context, version='0.12.0'):
    context.Message( 'Checking for pkg-config... ' )
    ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0]
    context.Result(ret)
    return ret

def CheckPKG(context, name):
    context.Message( 'Checking for %s... ' % name )
    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
    context.Result(ret)
    return ret

conf = Configure(env, custom_tests={'CheckPKGConfig' : CheckPKGConfig,
                                    'CheckPKG' : CheckPKG })
def DoConfigure():
    if GetOption('clean'):
        return

    if not conf.CheckPKGConfig():
        Exit(1)

    if not conf.CheckPKG('gtk+-2.0'):
        Exit(1)

    if not conf.CheckPKG('x11'):
        Exit(1)

    if not conf.CheckPKG('sunpinyin-2.0'):
        Exit(1)

    env = conf.Finish()
    env.ParseConfig('pkg-config gtk+-2.0 x11 sunpinyin-2.0 --libs --cflags')
    
DoConfigure()

env.Append(LIBS=env.Library('IMdkit', source=imdkit_sources))
env.Program('xsunpinyin', source=sources)
env.Program('xsunpinyin-preferences', source=preferences_sources)


def DoInstall():
    bin_target = env.Install(bin_dir,
                             ['xsunpinyin', 'xsunpinyin-preferences'])
    icon_target = env.Install(icon_dir,
                              ['data/chnpunc.png',
                               'data/han.png',
                               'data/eng.png',
                               'data/han.svg',
                               'data/eng.svg',
                               'data/engpunc.png',
                               'data/full.png',
                               'data/half.png',
                               'data/sunpinyin-logo-big.png',
                               'data/sunpinyin-logo.png'])
    data_target = env.Install(data_dir, ['data/settings_ui.xml'])
    env.Alias('install-bin', bin_target)
    env.Alias('install-data', [icon_target, data_target])

DoInstall()
env.Alias('install', ['install-bin', 'install-data'])

=== debian/changelog ===
xsunpinyin (2.0.2-1ubuntu1) natty; urgency=low

  * Updated Maintainer field.
  * Initial upload to Ubuntu

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Sun, 09 Jan 2011 00:02:46 +0800

xsunpinyin (2.0.2-1) experimental; urgency=low

  * Initial release (Closes: #587840)

 -- Liang Guo <bluestonechina@gmail.com>  Sun, 03 Oct 2010 11:15:10 +0800

=== debian/control ===
Source: xsunpinyin
Section: utils
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Liang Guo <bluestonechina@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), scons, pkg-config, libsunpinyin-dev, libgtk2.0-dev
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/sunpinyin

Package: xsunpinyin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sunpinyin-data
Description: Standalone XIM server for Sunpinyin
 Sunpinyin is a statistical language model (SLM) based input method 
 engine for Simplified Chinese, it features full sentence input.
 .
 This package provides a XIM server with SunPinyin input method.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified for xsunpinyin package by 
# Liang Guo <bluestonechina@gmail.com> 2010

SCONS=scons 


build: build-stamp
build-stamp: 
	$(SCONS) -C wrapper/xim
	touch build-stamp

clean: clean-patched 
clean-patched:
	dh_testdir
	dh_testroot
	$(SCONS) -C wrapper/xim -c
	-rm wrapper/xim/.sconsign.dblite wrapper/xim/config.log
	dh_clean 

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(SCONS) -C wrapper/xim install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=../../debian/tmp
	install -c -D -m 644  wrapper/xim/im-switch/xsunpinyin debian/tmp/etc/X11/xinit/xinput.d/xsunpinyin
	dh_install --sourcedir=debian/tmp --fail-missing
	touch install-stamp

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs 
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## xsunpinyin 2.0.3

=== SConstruct ===
import os

sources = ['ic.c',
           'ic_gtk.c',
           'ic_skin.c',
           'skin.c',
           'ui.c',
           'main.c',
           'settings.c',
           'sunpinyin_preedit.cc',
           'sunpinyin_preedit_gtk.cc',
           'sunpinyin_preedit_skin.cc',
           'xim.c',
           'xim_trigger.c',
           'xmisc.c']

preferences_sources = ['preferences.c',
                       'settings.c',
                       'xmisc.c']

imdkit_sources = ['IMdkit/FrameMgr.c',
                  'IMdkit/i18nAttr.c',
                  'IMdkit/i18nClbk.c',
                  'IMdkit/i18nIc.c',
                  'IMdkit/i18nIMProto.c',
                  'IMdkit/i18nMethod.c',
                  'IMdkit/i18nPtHdr.c',
                  'IMdkit/i18nUtil.c',
                  'IMdkit/i18nX.c',
                  'IMdkit/IMConn.c',
                  'IMdkit/IMMethod.c',
                  'IMdkit/IMValues.c']


cflags='-O2 -g -pipe'

# options
AddOption('--prefix', dest='prefix', type='string', nargs=1, action='store',
          metavar='DIR', help='installation prefix')
AddOption('--rpath', dest='rpath', type='string', nargs=1, action='store',
          metavar='DIR', help='encode rpath in the executables')

# save the options
opts = Variables('configure.conf')
opts.Add('PREFIX', default='/usr/local')

def PassVariables(envvar, env):
    for (x, y) in envvar:
        if x in os.environ:
            print 'Warning: you\'ve set %s in the environmental variable!' % x
            env[y] = os.environ[x]

env = Environment(ENV=os.environ,
                  CFLAGS=cflags, CXXFLAGS=cflags,
                  LINKFLAGS=['-export-dynamic'],
                  CPPPATH=['.', 'IMdkit'])
opts.Update(env)


if GetOption('prefix') is not None:
    env['PREFIX'] = GetOption('prefix')

opts.Save('configure.conf', env)


# set rpath
if GetOption('rpath') is not None:
    env.Append(LINKFLAGS='-Wl,-R -Wl,%s' % GetOption('rpath'))

envvar = [('CC', 'CC'),
          ('CXX', 'CXX'),
          ('CFLAGS', 'CFLAGS'),
          ('CXXFLAGS', 'CXXFLAGS'),
          ('LDFLAGS', 'LINKFLAGS')]
PassVariables(envvar, env)

bin_dir = env['PREFIX'] + '/bin'
data_dir = '%s/share/xsunpinyin/' % env['PREFIX']
icon_dir = data_dir + 'icons/'

extra_cflags =  ' -DSUNPINYIN_XIM_ICON_DIR=\\"%s\\"' % icon_dir
extra_cflags += ' -DSUNPINYIN_XIM_SETTING_DIR=\\"%s\\"' % data_dir

env.Append(CFLAGS=extra_cflags)
env.Append(CXXFLAGS=extra_cflags)


#
#==============================configure================================
#
def CheckPKGConfig(context, version='0.12.0'):
    context.Message( 'Checking for pkg-config... ' )
    ret = context.TryAction('pkg-config --atleast-pkgconfig-version=%s' % version)[0]
    context.Result(ret)
    return ret

def CheckPKG(context, name):
    context.Message( 'Checking for %s... ' % name )
    ret = context.TryAction('pkg-config --exists \'%s\'' % name)[0]
    context.Result(ret)
    return ret

conf = Configure(env, custom_tests={'CheckPKGConfig' : CheckPKGConfig,
                                    'CheckPKG' : CheckPKG })
def DoConfigure():
    if GetOption('clean'):
        return

    if not conf.CheckPKGConfig():
        Exit(1)

    if not conf.CheckPKG('gtk+-2.0'):
        Exit(1)

    if not conf.CheckPKG('x11'):
        Exit(1)

    if not conf.CheckPKG('sunpinyin-2.0'):
        Exit(1)

    env = conf.Finish()
    env.ParseConfig('pkg-config gtk+-2.0 x11 sunpinyin-2.0 --libs --cflags')

DoConfigure()

env.Append(LIBS=env.Library('IMdkit', source=imdkit_sources))
env.Program('xsunpinyin', source=sources)
env.Program('xsunpinyin-preferences', source=preferences_sources)


def DoInstall():
    bin_target = env.Install(bin_dir,
                             ['xsunpinyin', 'xsunpinyin-preferences'])
    icon_target = env.Install(icon_dir,
                              ['data/chnpunc.png',
                               'data/han.png',
                               'data/eng.png',
                               'data/han.svg',
                               'data/eng.svg',
                               'data/engpunc.png',
                               'data/full.png',
                               'data/half.png',
                               'data/sunpinyin-logo-big.png',
                               'data/sunpinyin-logo.png'])
    data_target = env.Install(data_dir, ['data/settings_ui.xml'])
    data_target += env.Install(data_dir + 'skins/', Glob('data/skins/*'))
    env.Alias('install-bin', bin_target)
    env.Alias('install-data', [icon_target, data_target])

DoInstall()
env.Alias('install', ['install-bin', 'install-data'])

=== debian/changelog ===
xsunpinyin (2.0.3-8) unstable; urgency=medium

  * Team upload
  * Delete d/watch to prevent uscan from running unnecessarily
    + project deprecated upstream

 -- Gunnar Hjalmarsson <gunnarhj@debian.org>  Fri, 02 Dec 2022 02:49:08 +0100

xsunpinyin (2.0.3-7) unstable; urgency=medium

  * Team upload.
  * Remove Liang Guo from the uploaders list. (Closes: #961609)
    Thanks for all your work! 
  * Backport upstream trunk patch till 2021-02-28
  * debian/control: Bump Standards-Version to 4.6.1.
  * debian/control: Bump debhelper compat to v13.
  * debian/copyright: Fix lintian warnings.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Jun 2022 17:47:21 -0400

xsunpinyin (2.0.3-6) unstable; urgency=high

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/patches/0003: Add patch to fix compatibility with scons
    3.1.2+. (Closes: #947587)

 -- Boyuan Yang <byang@debian.org>  Fri, 17 Jan 2020 13:43:33 -0500

xsunpinyin (2.0.3-5) unstable; urgency=high

  * Team upload.

  [ GengYu Rao ]
  * Fix URL in debian/watch.
  * Fix URL in debian/control.
  * Bump to standard 4.1.4.
  * Add GengYu Rao to uploaders.
  * Move to git repository on salsa.

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.2.1 (no changes needed).
  * debian/control: Update maintainer and uploaders email address.
    (Closes: #899860).
  * debian/rules: Enable full hardening.
  * debian/copyright: Refresh information and point upstream to GitHub.

 -- Boyuan Yang <byang@debian.org>  Mon, 03 Sep 2018 15:42:39 -0400

xsunpinyin (2.0.3-4) unstable; urgency=low

  [ YunQiang Su ]
  * Rewrite debian/rules with dh 7 format.
  * Fix URL in debian/watch.
  * Add YunQiang Su to uploaders.
  * Bump to standard 3.9.3.

  [ Liang Guo ]
  * Add im-config | im-switch to Recommends.
  * Mention im-switch in xsunpinyin.1.

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 05 Apr 2012 22:12:31 +0800

xsunpinyin (2.0.3-3) unstable; urgency=low

  * debian/copyright:
    - Add Upstream-Contact
    - Update Format field
  * Use Environment.MergeFlags to separate build flags (Closes: #647046)

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 02 Feb 2012 16:40:22 +0800

xsunpinyin (2.0.3-2) unstable; urgency=low

  * Update debian/copyright to fit DEP-5
  * Bump Standards-Version to 3.9.2
  * Add build-arch and build-indep in debian/rules
  * Move git repository from collab-maint to pkg-ime,
    Update Vcs-* fields in debian/control

 -- Liang Guo <bluestonechina@gmail.com>  Thu, 15 Sep 2011 23:45:17 +0800

xsunpinyin (2.0.3-1) unstable; urgency=low

  * New upstream release 2.0.3.
  * Upload to unstable.
  * Update VCS field in debian/control.
  * Remove README.source, it's no meaning now.

 -- Liang Guo <bluestonechina@gmail.com>  Sat, 19 Feb 2011 18:14:46 +0800

=== debian/control ===
Source: xsunpinyin
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 YunQiang Su <syq@debian.org>,
 GengYu Rao <zouyoo@outlook.com>,
Build-Depends:
 debhelper-compat (= 13),
 libgtk2.0-dev,
 libsunpinyin-dev (>=3.0.0~rc1+ds1),
 pkg-config,
 scons,
Standards-Version: 4.6.1
Homepage: https://github.com/sunpinyin/sunpinyin/tree/master/wrapper/xim
Vcs-Git: https://salsa.debian.org/input-method-team/xsunpinyin.git
Vcs-Browser: https://salsa.debian.org/input-method-team/xsunpinyin

Package: xsunpinyin
Architecture: any
Depends:
 sunpinyin-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 im-config | im-switch,
Description: Standalone XIM server for Sunpinyin
 Sunpinyin is a statistical language model (SLM) based input method
 engine for Simplified Chinese, it features full sentence input.
 .
 This package provides a XIM server with SunPinyin input method.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Liang Guo <bluestonechina@gmail.com> 2010
# YunQiang Su <wzssyqa@gmail.com>, 2012
#
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =

SCONS=scons

%:
	dh $@

override_dh_auto_configure:

override_dh_auto_build:
	$(SCONS) --prefix=$(DEB_DESTDIR)/usr

override_dh_auto_clean:
	dh_auto_clean
	$(SCONS)  -c
	rm -f .sconsign.dblite config.log configure.conf

override_dh_auto_install:
	$(SCONS) install --prefix=$(DEB_DESTDIR)/usr --install-sandbox=debian/tmp
